#include <iostream>
using namespace std;


int main()
{
  int n;
  cin >> n;
  int a[n];
  for(int i = 0; i < n; i++)
  {
    cin >> a[i];
  }
  int m = 0, id;
  bool iste_cifre = false;
  for(int i = 0; i < n - 1; i++)
  {
    for(int j = i + 1; j < n; j++)
    {
      if(a[j] > a[i] && a[j] > m)
      {
        m = a[j];
        id = j;
      }
      else if(a[j] == a[i])
      {
        iste_cifre = true;
      }
    }
    if(m > 0)
    {
      a[id] = a[i];
      a[i] = m;
      for(int j = 0; j < n; j++)
      {
        cout << a[j] << " ";
      }
      return 0;
    }
  }
  if(iste_cifre)
  {
    for(int i = 0; i < n; i++)
    {
      cout << a[i] << " ";
    }
    return 0;
  }
  m = a[n - 1];
  a[n - 1] = a[n - 2];
  a[n - 2] = m;
  for(int i = 0; i < n; i++)
  {
    cout << a[i] << " ";
  }
  return 0;
}